import cdsapi

c = cdsapi.Client()

type_seasonal = 'forecast'
for year in range(2017,2020):
    c.retrieve(
        'seasonal-monthly-pressure-levels',
        {
            'originating_centre':'ecmwf',
            'system':'5',
            'variable':'temperature',
            'pressure_level':[
                '10','30','50',
                '100','200','300',
                '400','500','700',
                '850','925'
            ],
            'product_type':'monthly_mean',
            'year':str(year),
            'month':'01',
            'leadtime_month':'1',
            'format':'grib'
        },
        '../archives/prioritary/seasonal/100_seas_for-monthly-Plvls-B-'+type_seasonal+'-temp-'+str(year)+'.grib')