import cdsapi

c = cdsapi.Client()

type_seasonal = 'forecast'
for year in range(2017,2020):
    c.retrieve(
        'seasonal-monthly-single-levels',
        {
            'format':'grib',
            'variable':'2m_dewpoint_temperature',
            'originating_centre':'ecmwf',
            'system':'5',
            'month':'01',
            'leadtime_month':'1',
            'product_type':'monthly_mean',
            'year':str(year),
        },
        '../archives/prioritary/seasonal/102_seas_for-monthly-Slvls-B-'+type_seasonal+'-2mdewtemp-'+str(year)+'.grib')
